/* Rocks 'n' Diamonds installation script v.1*/
/* install script and icon created by Frank Wochatz <mail@subsys.de>*/
/* 01.Oct 2005 */

"cls"
say;say "Rocks'n'Diamonds installation.";say

/* - - - - - init RexxUtil - - - - - */

if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end


/* - - - - - Get install directory - - - - - */
InstDir = directory()


say " Creating WPS objects..."

Call SysCreateObject 'WPFolder', "Rocks'n'Diamonds", '<WP_DESKTOP>', 'OBJECTID=<rocksndiamondsFOLDER>',  'Update'
Call SysCreateObject 'WPProgram', "Rocks'n'Diamonds", '<rocksndiamondsFOLDER>', 'OBJECTID=<rocksndiamondsexe>;EXENAME='||InstDir||'\rocksndiamonds.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;', 'Update'

Call SysCreateObject 'WPUrl', "ArtSoft - Rocks'n'Diamonds", '<rocksndiamondsFOLDER>', 'OBJECTID=<rocksndiamondsWWW>;URL=http://www.artsoft.org/rocksndiamonds/', 'Update'
Call SysCreateObject 'WPUrl', "Rocks'n'Diamonds port for OS/2 and eCs", '<rocksndiamondsFOLDER>', 'OBJECTID=<rocksndiamonds2WWW>;URL=http://smedley.info/os2ports', 'Update'
Call SysCreateShadow instdir||'\README', '<rocksndiamondsFOLDER>'
Call SysCreateShadow instdir||'\README.os2', '<rocksndiamondsFOLDER>'

say " Installation done. Hit ENTER to continue."
pull dummy
call SysOpenObject "<rocksndiamondsFOLDER>", 0, "TRUE"


exit